function neighbors = collectNeighborsTri(TRI)
%COLLECTNEIGHBORSTRI Find neighboring vertices based on a triangulation.
%
%   COLLECTNEIGHBORSTRI(TRI) collects all neighboring vertices of the N
%   vertices in the Tx3 triangulation matrix TRI with T being the number of
%   triangles. Vertices are neighboring if they are vertices of the same
%   triangle.
%
%   Contact person:
%     Falko Schindler (falko.schindler@uni-bonn.de)
%
%   Copyright 2011-2012

%% collect neighbors
neighbors = cell(max(TRI(:)), 1);
for i = 1 : size(neighbors, 1)
    indices = unique(TRI(any(TRI == i, 2), :));
    neighbors{i} = setdiff(indices(:), i)';
end
